%define module xmltodict

Name:           python-xmltodict
Version:        0.12.0
Release:        %mkrel 4
Summary:        Python to transform XML to JSON
License:        MIT
Group:          Development/Python
URL:            https://github.com/martinblech/xmltodict/archive/v0.12.0.tar.gz
Source:         https://github.com/martinblech/xmltodict/archive/%{module}-%{version}.tar.xz
BuildArch:      noarch

%description
xmltodict is a Python module that makes working with XML feel like you are
working with JSON.  It's very fast (Expat-based) and has a streaming mode
with a small memory footprint, suitable for big XML dumps like Discogs or
Wikipedia.

%package -n python3-%{module}
Summary:        Python3 to transform XML to JSON
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
xmltodict is a Python module that makes working with XML feel like you are
working with JSON.  It's very fast (Expat-based) and has a streaming mode
with a small memory footprint, suitable for big XML dumps like Discogs or
Wikipedia.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}

%files -n python3-%{module}
%doc README.md LICENSE
%{python3_sitelib}/%{module}.py
%{python3_sitelib}/%{module}-%{version}-*
%{python3_sitelib}/__pycache__/%{module}*

%changelog
* Tue Aug 02 2022 TerryN <terryn94 at gmail.com> 0.12.0-4pclos2022
- update and rebuild for python 3.10

* Sun Sep 20 2020 tex - 0.12.0-3pclos2020
- rebuild against updates

* Sun Oct 13 2019 tex - 0.12.0-2pclos2019
- rebuild against updates

* Fri May 17 2019 pckg <pckg at email.cz> 0.12.0-1pclos2019
- Initial package
